Package org.eclipse.microprofile.config.tck.profile

# Class OverrideConfigProfileTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.profile.OverrideConfigProfileTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class OverrideConfigProfileTest extends org.jboss.arquillian.testng.Arquillian
Test cases for Config profile

Author:
  Oliver Bertuch

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OverrideConfigProfileTest.ProfilePropertyBean`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`OverrideConfigProfileTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deployment()`
`void`
`testConfigProfileWithDevAndOverride()`
This test relies on the system property "mp.tck.prop.dummy" being set to "dummy" as described in the TCK README as a requirement for runners.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverrideConfigProfileTest

public OverrideConfigProfileTest()

## Method Details

### deployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deployment()

### testConfigProfileWithDevAndOverride

public void testConfigProfileWithDevAndOverride()
This test relies on the system property "mp.tck.prop.dummy" being set to "dummy" as described in the TCK README as a requirement for runners. System properties are per the TCK requirements at ordinal 120, so shall override the given properties in the microprofile-config.properties file (ordinal 100) included in the WAR above.